# Makefile.in generated automatically by automake 1.4-p4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
ARTSC_CONFIG = @ARTSC_CONFIG@
ARTSDIR = @ARTSDIR@
ARTS_CFLAGS = @ARTS_CFLAGS@
ARTS_LIBS = @ARTS_LIBS@
AS = @AS@
CC = @CC@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CSL_BINARY_AGE = @CSL_BINARY_AGE@
CSL_BYTE_ORDER = @CSL_BYTE_ORDER@
CSL_FEATURE_ARTS = @CSL_FEATURE_ARTS@
CSL_INTERFACE_AGE = @CSL_INTERFACE_AGE@
CSL_MAJOR_VERSION = @CSL_MAJOR_VERSION@
CSL_MICRO_VERSION = @CSL_MICRO_VERSION@
CSL_MINOR_VERSION = @CSL_MINOR_VERSION@
CSL_VERSION = @CSL_VERSION@
CXX = @CXX@
CXXCPP = @CXXCPP@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
EXEEXT = @EXEEXT@
LDFLAGS = @LDFLAGS@
LIBTOOL = @LIBTOOL@
LIBTOOL_EXPORT_OPTIONS = @LIBTOOL_EXPORT_OPTIONS@
LN_S = @LN_S@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_RELEASE = @LT_RELEASE@
LT_REVISION = @LT_REVISION@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
STRIP = @STRIP@
STRIP_BEGIN = @STRIP_BEGIN@
STRIP_DUMMY = @STRIP_DUMMY@
STRIP_END = @STRIP_END@
VERSION = @VERSION@

INCLUDES = -I$(top_srcdir) # $(ARTS_CFLAGS)

# libraries to build and install
lib_LTLIBRARIES = libcsl.la

# libtool stuff: set version and export symbols for resolving
libcsl_la_LDFLAGS = @STRIP_BEGIN@ 	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) 	-release $(LT_RELEASE) 	-export-dynamic 	@LIBTOOL_EXPORT_OPTIONS@ @STRIP_END@

libcslincludedir = $(includedir)/csl
libcsl_la_LIBADD = # -lm

# CSL file setup
csl_public_headers = @STRIP_BEGIN@		csl.h				csldefs.h			cslmain.h			cslpcm.h			cslsample.h			cslutils.h			cslconfig.h		@STRIP_END@

csl_private_headers = @STRIP_BEGIN@		artsbinbuffer.h			artscsladapter.h		artsdriver.h			artsmcopdispatcher.h		artsmcopglobalcomm.h		artsmcopmarshal.h		artsmcopmethods.h		artsmd5.h			artssocket.h			artssoundserver.h		cslprivate.h		@STRIP_END@

csl_c_sources =  	artsbinbuffer.c			artscsladapter.c		artsdriver.c			artsmcopdispatcher.c		artsmcopglobalcomm.c		artsmcopmarshal.c		artssoundserver.c		artsmd5.c			artssocket.c			cslmain.c			cslpcm.c			cslsample.c			cslutils.c			ossdriver.c


CLEANFILES = xgen-cch
#	&& (cmp -s xgen-cch $@ || cp xgen-cch $@) 

# setup CSL automake variables
libcsl_la_SOURCES = $(csl_c_sources)
libcslinclude_HEADERS = $(csl_public_headers)
EXTRA_DIST = $(csl_private_headers) 

# programs
progsLDADD = libcsl.la

# programs to install
bin_PROGRAMS = cslcat cslplay cslrec

cslplay_SOURCES = cslplay.c
cslplay_LDADD = $(progsLDADD)

cslcat_SOURCES = cslcat.c
cslcat_LDADD = $(progsLDADD)

cslrec_SOURCES = cslrec.c
cslrec_LDADD = $(progsLDADD)

# programs not to install
noinst_PROGRAMS = # testcsl
# testcsl_SOURCES = testcsl.c
# testcsl_LDADD   = $(progs_LDADD)

MCOPMETHOD_RULE =    ../adapter/mcopcheader -p CSL   -i Arts::GlobalComm Arts::SoundServerV2      CSL::Adapter Arts::StereoVolumeControl


# misc
EXTRA_HEADERS = 
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../CSL_config.h
CONFIG_CLEAN_FILES = 
LTLIBRARIES =  $(lib_LTLIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
LIBS = @LIBS@
libcsl_la_DEPENDENCIES = 
libcsl_la_OBJECTS =  artsbinbuffer.lo artscsladapter.lo artsdriver.lo \
artsmcopdispatcher.lo artsmcopglobalcomm.lo artsmcopmarshal.lo \
artssoundserver.lo artsmd5.lo artssocket.lo cslmain.lo cslpcm.lo \
cslsample.lo cslutils.lo ossdriver.lo
bin_PROGRAMS =  cslcat$(EXEEXT) cslplay$(EXEEXT) cslrec$(EXEEXT)
noinst_PROGRAMS = 
PROGRAMS =  $(bin_PROGRAMS) $(noinst_PROGRAMS)

cslcat_OBJECTS =  cslcat.$(OBJEXT)
cslcat_DEPENDENCIES =  libcsl.la
cslcat_LDFLAGS = 
cslplay_OBJECTS =  cslplay.$(OBJEXT)
cslplay_DEPENDENCIES =  libcsl.la
cslplay_LDFLAGS = 
cslrec_OBJECTS =  cslrec.$(OBJEXT)
cslrec_DEPENDENCIES =  libcsl.la
cslrec_LDFLAGS = 
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(libcslinclude_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libcsl_la_SOURCES) $(cslcat_SOURCES) $(cslplay_SOURCES) $(cslrec_SOURCES)
OBJECTS = $(libcsl_la_OBJECTS) $(cslcat_OBJECTS) $(cslplay_OBJECTS) $(cslrec_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .obj .s
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps csl/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-libLTLIBRARIES:

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)

distclean-libLTLIBRARIES:

maintainer-clean-libLTLIBRARIES:

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "$(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p"; \
	    $(LIBTOOL)  --mode=install $(INSTALL) $$p $(DESTDIR)$(libdir)/$$p; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  $(LIBTOOL)  --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

.c.o:
	$(COMPILE) -c $<

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libcsl.la: $(libcsl_la_OBJECTS) $(libcsl_la_DEPENDENCIES)
	$(LINK) -rpath $(libdir) $(libcsl_la_LDFLAGS) $(libcsl_la_OBJECTS) $(libcsl_la_LIBADD) $(LIBS)

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

cslcat$(EXEEXT): $(cslcat_OBJECTS) $(cslcat_DEPENDENCIES)
	@rm -f cslcat$(EXEEXT)
	$(LINK) $(cslcat_LDFLAGS) $(cslcat_OBJECTS) $(cslcat_LDADD) $(LIBS)

cslplay$(EXEEXT): $(cslplay_OBJECTS) $(cslplay_DEPENDENCIES)
	@rm -f cslplay$(EXEEXT)
	$(LINK) $(cslplay_LDFLAGS) $(cslplay_OBJECTS) $(cslplay_LDADD) $(LIBS)

cslrec$(EXEEXT): $(cslrec_OBJECTS) $(cslrec_DEPENDENCIES)
	@rm -f cslrec$(EXEEXT)
	$(LINK) $(cslrec_LDFLAGS) $(cslrec_OBJECTS) $(cslrec_LDADD) $(LIBS)

install-libcslincludeHEADERS: $(libcslinclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libcslincludedir)
	@list='$(libcslinclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d= ; else d="$(srcdir)/"; fi; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(libcslincludedir)/$$p"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(libcslincludedir)/$$p; \
	done

uninstall-libcslincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	list='$(libcslinclude_HEADERS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(libcslincludedir)/$$p; \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = csl

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
artsbinbuffer.lo artsbinbuffer.o : artsbinbuffer.c artsbinbuffer.h \
	csldefs.h cslconfig.h cslutils.h csldefs.h
artscsladapter.lo artscsladapter.o : artscsladapter.c artscsladapter.h \
	artsmcopmarshal.h csldefs.h cslconfig.h artsbinbuffer.h \
	cslutils.h artsmcopdispatcher.h artssocket.h artsmcopmarshal.h \
	cslpcm.h cslmain.h artsmcopmethods.h cslutils.h artsbinbuffer.h
artsdriver.lo artsdriver.o : artsdriver.c artsdriver.h csldefs.h \
	cslconfig.h artsmcopdispatcher.h artssocket.h cslutils.h \
	artsmcopmarshal.h artsbinbuffer.h artssoundserver.h \
	artsmcopmarshal.h artsmcopdispatcher.h csldefs.h \
	artscsladapter.h cslpcm.h cslmain.h cslprivate.h cslpcm.h \
	cslsample.h cslutils.h artsmd5.h
artsmcopdispatcher.lo artsmcopdispatcher.o : artsmcopdispatcher.c \
	artsmcopdispatcher.h csldefs.h cslconfig.h artssocket.h \
	cslutils.h artsmcopmarshal.h artsbinbuffer.h artssoundserver.h \
	artsmcopmarshal.h csldefs.h artsbinbuffer.h \
	artsmcopglobalcomm.h artsmd5.h artsmcopmethods.h
artsmcopglobalcomm.lo artsmcopglobalcomm.o : artsmcopglobalcomm.c \
	artsmcopglobalcomm.h csldefs.h cslconfig.h cslutils.h
artsmcopmarshal.lo artsmcopmarshal.o : artsmcopmarshal.c \
	artsmcopmarshal.h csldefs.h cslconfig.h artsbinbuffer.h \
	cslutils.h cslutils.h artsbinbuffer.h
artsmd5.lo artsmd5.o : artsmd5.c artsmd5.h csldefs.h cslconfig.h \
	cslutils.h
artssocket.lo artssocket.o : artssocket.c artssocket.h csldefs.h \
	cslconfig.h cslutils.h
artssoundserver.lo artssoundserver.o : artssoundserver.c \
	artssoundserver.h artsmcopmarshal.h csldefs.h cslconfig.h \
	artsbinbuffer.h cslutils.h artsmcopdispatcher.h artssocket.h \
	artsmcopmarshal.h csldefs.h artsmcopmethods.h cslutils.h \
	artsbinbuffer.h
cslcat.o: cslcat.c csl.h cslconfig.h csldefs.h cslmain.h cslutils.h \
	cslpcm.h
cslmain.lo cslmain.o : cslmain.c cslmain.h csldefs.h cslconfig.h \
	cslutils.h cslconfig.h cslprivate.h cslmain.h cslpcm.h \
	cslsample.h cslutils.h
cslpcm.lo cslpcm.o : cslpcm.c cslpcm.h csldefs.h cslconfig.h cslmain.h \
	cslutils.h cslutils.h cslprivate.h cslpcm.h cslsample.h
cslplay.o: cslplay.c cslsample.h csldefs.h cslconfig.h cslmain.h \
	cslutils.h
cslrec.o: cslrec.c csl.h cslconfig.h csldefs.h cslmain.h cslutils.h \
	cslpcm.h
cslsample.lo cslsample.o : cslsample.c cslsample.h csldefs.h cslconfig.h \
	cslmain.h cslutils.h cslprivate.h cslpcm.h
cslutils.lo cslutils.o : cslutils.c cslutils.h csldefs.h cslconfig.h
ossdriver.lo ossdriver.o : ossdriver.c cslprivate.h csldefs.h \
	cslconfig.h cslmain.h cslutils.h cslpcm.h cslsample.h \
	cslutils.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-libLTLIBRARIES install-binPROGRAMS
install-exec: install-exec-am

install-data-am: install-libcslincludeHEADERS
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-libLTLIBRARIES uninstall-binPROGRAMS \
		uninstall-libcslincludeHEADERS
uninstall: uninstall-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(libdir) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(libcslincludedir)


mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-libLTLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-binPROGRAMS \
		mostlyclean-noinstPROGRAMS mostlyclean-tags \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-libLTLIBRARIES clean-compile clean-libtool \
		clean-binPROGRAMS clean-noinstPROGRAMS clean-tags \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-libLTLIBRARIES distclean-compile \
		distclean-libtool distclean-binPROGRAMS \
		distclean-noinstPROGRAMS distclean-tags \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-libLTLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-binPROGRAMS \
		maintainer-clean-noinstPROGRAMS maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-libLTLIBRARIES distclean-libLTLIBRARIES \
clean-libLTLIBRARIES maintainer-clean-libLTLIBRARIES \
uninstall-libLTLIBRARIES install-libLTLIBRARIES mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile \
mostlyclean-libtool distclean-libtool clean-libtool \
maintainer-clean-libtool mostlyclean-binPROGRAMS distclean-binPROGRAMS \
clean-binPROGRAMS maintainer-clean-binPROGRAMS uninstall-binPROGRAMS \
install-binPROGRAMS mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
uninstall-libcslincludeHEADERS install-libcslincludeHEADERS tags \
mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir info-am info dvi-am dvi check check-am installcheck-am \
installcheck install-exec-am install-exec install-data-am install-data \
install-am install uninstall-am uninstall all-redirect all-am all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean

$(libcsl_la_OBJECTS): cslconfig.h
cslconfig.h: $(top_builddir)/config.status # Makefile
	cd . \
	&& echo "/* Generated data from $< (by make $@) */" > xgen-cch \
	&& echo >> xgen-cch \
	&& echo "#ifndef __CSL_CONFIG_H__" >> xgen-cch \
	&& echo "#define __CSL_CONFIG_H__" >> xgen-cch \
	&& echo >> xgen-cch \
	&& echo "#define CSL_BIG_ENDIAN   	(4321)" >> xgen-cch \
	&& echo "#define CSL_LITTLE_ENDIAN	(1234)" >> xgen-cch \
	&& echo "#define CSL_BYTE_ORDER   	(@CSL_BYTE_ORDER@)" >> xgen-cch \
	&& echo >> xgen-cch \
	&& echo "#endif /* __CSL_CONFIG_H__ */" >> xgen-cch \
	&& echo >> xgen-cch \
	&& echo "/* Generated data ends here */" >> xgen-cch \
	&& (cp xgen-cch $@) \
	&& rm -f xgen-cch

# custom build rulez
.PHONY: build-methods
build-methods:
	cd $(srcdir) \
	&& echo "/* Generated data (by make $@) */" >artsmcopmethods.h \
	&& echo >>artsmcopmethods.h \
	&& $(MCOPMETHOD_RULE) >>artsmcopmethods.h

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
